The Organization resource may represent any of the following entities within Halaxy: practice groups, clinics, funders, and external practices and organizations.
This resource provides a flexible framework for managing organizational details, relationships and billing across Halaxy.
Each organization data type is distinguished by a prefix.
| Prefix | Data Type |
|---|---|
| PG- | Practice Group |
| CL- | Clinic |
| OG- | Organization |
| FD- | Funder |
| SP- | Professional Contact's Practice |
Note: The prefixes are only for referencing resources in the API and do not appear in Halaxy.
Endpoints
| Endpoint | Operation | Description |
|---|---|---|
GET /main/Organization | List Organizations | Return a list or collection of organizations in a practice group |
GET /main/Organization/{id} | Get Organization | Return an individual organization in a practice group |
POST /main/Organization | Create Organization (Professional Contact Practice) | Create a new organization record for a professional contact's practice location |
Schema
| Property | Description |
|---|---|
| id |
The two-letter prefix indicates whether it is a practice group, clinic, funder, external organization or a professional contact's practice. e.g. |
| active | booleanWhether the organization is in active use |
| type |
|
| name | stringThe name of the practice group, clinic/location, organization, funder or professional contact practice |
| telecom |
system value use Note: Phone format must be |
| address |
use type text line city state postalCode country |
| partOf |
The practice group that the clinic belongs to
|
